---
# YAML definition for Boolean Attribute
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:  '&IDC_BooleanAttribute;'
    name:      Boolean Attribute
    index:     5
    customTagName: 'booleanAttribute'
    superclasses:
    - instance: '&IDC_Attribute;'
    - instance: '&IDC_ExecutableReturningAttribute;'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    # YAML definition for Instances of Boolean Attribute, 1$5
    defaultTask: '&IDI_Task_BooleanAttribute_View;'
    relatedTasks:
    - instance: '&IDI_Task_BooleanAttribute_View;'
    - instance: '&IDI_Task_BooleanAttribute_Edit;'
    instances:
    - instance:      '&IDA_Singular;'
      name:      Singular
      index:     1
    - instance:      '&IDA_Abstract;'
      name:      Abstract
      index:     2
    - instance:      '&IDA_Static;'
      name:      Static
      index:     3
    - instance:      '&IDA_Set;'
      name:      Set
      index:     4
    - instance:      '&IDA_Build;'
      name:      Build
      index:     5
    - instance:      '&IDA_True;'
      name:      "True"
      index:     6
    - instance:      '&IDA_ThisInstanceEqualToInstanceParm;'
      name:      This instance equal to Instance Parm
      index:     7
    - instance:      '&IDA_AllowNegative;'
      name:      Allow Negative
      index:     8
    - instance:      '&IDA_StaticOnly;'
      name:      Static Only
      index:     9
    - instance:      '&IDA_AddReferences;'
      name:      Add References
      index:     10
    - instance:      '&IDA_RemoveExecutionMetricsConfiguration;'
      name:      Remove Execution Metrics Configuration
      index:     12
    - instance:      '&IDA_PassAllParms;'
      name:      Pass All Parms
      index:     13
    - instance:      '&IDA_DoNotUseMBResultSave;'
      name:      Do Not Use MB Result Save
      index:     14
    - instance:      '&IDA_BuiltFromBEMProcessNotInListForElement;'
      name:      Built from BEM Process that is not in list for Element
      index:     15
    - instance:      '&IDA_MultipleValidClasses;'
      name:      Multiple Valid Classes
      index:     16
    - instance:      '&IDA_Shared;'
      name:      Shared
      index:     17
    - instance:      '&IDA_UseAnyCondition;'
      name:      Use Any Condition
      index:     18
    - instance:      '&IDA_LongRunning;'
      name:      Long Running
      index:     19
    - instance:      '&IDA_IncludeMIs;'
      name:      Include MIs
      index:     20
    - instance:      '&IDA_IncludeSuperclassMethods;'
      name:      Include Superclass Methods
      index:     21
    - instance:      '&IDA_AllowAny;'
      name:      Allow Any
      index:     22
    - instance: '&IDA_OpenInNewWindow;'
      name: Open in New Window
      index: 23
    - instance: '&IDA_SuppressRIHints;'
      name: Suppress RI Hints
      index: 24
    - instance:      '&IDA_Schedulable;'
      name:      Schedulable
      index:     25
    - instance: '&IDA_ShowSpreadsheetButtonOnSelection;'
      index: 27
    - instance: '&IDA_Final;'
      index: 31
    - instance: '&IDA_ThisInInstancesParm;'
      index: 33
    - instance: '&IDA_NotInUse;'
      index: 38
      name: 'Not In Use'
    - instance: '&IDA_MethodIsOfTypeSpecified;'
      index: 40
      name: 'Method is of Type Specified'
    - instance: '&IDA_Locked;'
      index: 41
      name: 'Locked'
    - instance: '&IDA_Disabled;'
      index: 42
      name: 'Disabled'
    - instance: '&IDA_Derived;'
      index: 45
      name: 'Derived'
    - instance: '&IDA_EvaluateWorkSet;'
      index: 49
      name: 'Evaluate Work Set'
    - instance: '&IDA_UserIsLoggedIn;'
      index: 57
      name: 'User is Logged In'

    - instance: '&IDA_ModuleHasParentModule;'
      index: 60
      name: 'Module has parent Module'

    - instance: '&IDA_Empty;'
      index: 110
      name: 'Empty'
      
    - instance: '&IDA_RequireChangePasswordAtNextSignIn;'
      name: Require Password Change At Next Sign In
      index: 112
    - instance: '&IDA_ResetChallengeQuestions;'
      name: Reset Challenge Questions
      index: 113
    - instance: '&IDA_AccountDisabled;'
      name: Account Disabled
      index: 114
    - instance: '&IDA_GenerateRandomPassword;'
      name: Generate Random Password
      index: 115